<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Spam Exercise</title>
</head>

<body>
    <!-- Представьте себе ситуацию - вам нужно оценить, является ли комментарий пользователя на сайте недопустимым с
    лексической точки зрения (то есть содержит слова, которые нельзя употреблят, например: “огромные выигрыши в нашем
    казино набирай в браузере …. ”). Логично, что для этого нужно проверить содержит ли комментарий пользователя на
    сайте слишком много спам-слов (например, 1-2 слова “бесплатно” - это ок, но 3 и больше уже явный признак спама ).
    Для этого вам нужно написать функцию (именно функцию) isSpam, которая будет принимать 3 аргумента:
    - строку, которую ввел пользователь;
    - слово, переизбыток которого считается спамом (например, “выигрыш”);
    - количество повторений слова, которое считается спамом (например, 3 - то есть если слово “выигрыш” встречается в с
    троке 1-2 раза, это не спам, а если 3 и больше - спам).
    И возвращать функция isSpam должна true, если в переданной строке спам-слово встречается указанное или больше число
    раз, и false - если нет.
    При этом и комментарий, и спм-слово, нужно ввести в поля ввода, которые написаны ниже (input) и повесить выполнение
    функции на клик на кнопке “Проверить на спам”. Результат выполнения функции вывести в p с id spam-check-result.

   -->

    <input type="text" id="comment" placeholder="Ваш комментарий" value="asdasd">
    <input type="text" id="spam-word" placeholder="Спам-слово">
    <button id="send-comment">Проверить на спам</button>
    <p id="spam-check-result"></p>

    <script>
        const isSpam = (str, word, maxCount) => {
            let position = 0;
            for (let i = 0; i < maxCount; i++) {
                if (str.indexOf(word, position) === -1) {
                    break;
                }
                str = str.slice(str.indexOf(word, (position + word.length)));
            }
            if (str.indexOf(word) === -1) return false;
            return true;
        };

        let btn = document.getElementById(`send-comment`);

        btn.addEventListener(`click`, function() {
            let str = document.getElementById(`comment`).value;
            let word = document.getElementById(`spam-word`).value;
            console.log(isSpam(str, word, 3));
        });

    </script>

</body>

</html>














